local anim8 = require 'anim8'
require "player/player"
require "enemy/enemies"

function love.load()
	playerload()
	enemyload()
end

function love.update(dt)
player.animation:update(dt)
enmies.slime.animation:update(dt)
-- Right
if love.keyboard.isDown("d") then
	player.x = player.x + player.speed * dt
    player.animation = player.animations.right
end
-- Left
if love.keyboard.isDown("a") then
	player.x = player.x - player.speed * dt
    player.animation = player.animations.left
end
-- Up
if love.keyboard.isDown("w") then
	player.y = player.y - player.speed * dt
	player.animation = player.animations.up
end
-- Down
if love.keyboard.isDown("s") then
	player.y = player.y + player.speed * dt
	player.animation = player.animations.down
end
end

function love.draw()
player.animation:draw(player.walk, player.x, player.y)
enmies.slime.animation:draw(enemies.slime.slimeanim, enemies.slime.x, enemies.slime.y)
end
